SUSEConnect-0.3.11-lp150.2.6.1.x86_64.rpm


Advertisement

Description

SUSEConnect - Utility to register a system with the SUSE Customer Center

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Update Oss all
Package name SUSEConnect
Package version 0.3.11
Package release lp150.2.6.1
Package architecture x86_64
Package type rpm
Installed size 171.84 KB
Download size 102.71 KB
Official Mirror ftp.gwdg.de
This package provides a command line tool and rubygem library for connecting a
client system to the SUSE Customer Center. It will connect the system to your
product subscriptions and enable the product repositories/services locally.

Alternatives

Package Version Architecture Repository
SUSEConnect-0.3.11-lp150.2.3.1.x86_64.rpm 0.3.11 x86_64 openSUSE Update Oss
SUSEConnect-0.3.10-lp150.1.1.x86_64.rpm 0.3.10 x86_64 openSUSE Oss
SUSEConnect - - -

Requires

Name Value
/usr/bin/ruby -
/usr/bin/ruby.ruby2.5 -
ca-certificates-mozilla -
coreutils -
dmidecode -
hwinfo -
net-tools -
ruby(abi) = 2.5.0
update-alternatives -
util-linux -
zypper -
zypper(auto-agree-with-product-licenses) -

Provides

Name Value
SUSEConnect = 0.3.11-lp150.2.6.1
SUSEConnect(x86-64) = 0.3.11-lp150.2.6.1
config(SUSEConnect) = 0.3.11-lp150.2.6.1
rubygem(ruby:2.5.0:suse-connect) = 0.3.11
rubygem(ruby:2.5.0:suse-connect:0) = 0.3.11
rubygem(ruby:2.5.0:suse-connect:0.3) = 0.3.11
rubygem(ruby:2.5.0:suse-connect:0.3.11) = 0.3.11
rubygem(suse-connect) = 0.3.11

Conflicts

Name Value
suseRegister -
yast2-registration < 3.1.129.7

Download

Type URL
Binary Package SUSEConnect-0.3.11-lp150.2.6.1.x86_64.rpm
Source Package SUSEConnect-0.3.11-lp150.2.6.1.src.rpm

Install Howto

Install SUSEConnect rpm package:

# zypper install SUSEConnect

Files

Path
/etc/SUSEConnect
/etc/SUSEConnect.example
/etc/zypp/
/etc/zypp/credentials.d/SCCcredentials
/usr/bin/SUSEConnect
/usr/lib64/ruby/gems/2.5.0/cache/suse-connect-0.3.11.gem
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/LGPL_2.1
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/LICENSE
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/README.md
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/bin/SUSEConnect
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/api.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/cli.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/client.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/config.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/connection.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/credentials.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/errors.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/logger.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/migration.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/package_search.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/product.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/rexml_refinement.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/ssl_certificate.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/status.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/system.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/version.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/yast.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/zypper.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/core_ext/hash_refinement.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/hwinfo/arm64.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/hwinfo/base.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/hwinfo/s390.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/hwinfo/x86.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/remote/activation.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/remote/product.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/remote/server_driven_model.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/remote/service.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/remote/subscription.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/templates/extension.text.erb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/templates/extension_item.text.erb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/templates/extensions_list.text.erb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/templates/product_statuses.text.erb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/zypper/product.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/connect/zypper/product_status.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/toolkit/cast.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/toolkit/curlrc_dotfile.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/toolkit/product_equality.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/toolkit/renderer.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/toolkit/system_calls.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/suse/toolkit/utilities.rb
/usr/lib64/ruby/gems/2.5.0/gems/suse-connect-0.3.11/lib/tasks/package.rake
/usr/lib64/ruby/gems/2.5.0/specifications/suse-connect-0.3.11.gemspec
/usr/sbin/SUSEConnect
/usr/share/man/man5/SUSEConnect.5.gz
/usr/share/man/man8/SUSEConnect.8.gz

Changelog

2018-06-05 - wstephenson@suse.com
- Weaken dependencies of rmt-client-setup script to Recommends:
(bsc#1094348)
- Enhance error message generation
- Add not supported operation exception to PackageSearch API
2018-05-16 - hschmidt@suse.com
- Update to 0.3.11
- Add dependencies needed by the rmt-client-setup script. bsc#1093658
2018-05-07 - hschmidt@suse.com
- Prevent the automatic registration of recommended products that
are not mirrored by the registration proxy.
2018-04-19 - fschnizlein@suse.com
- Update to 0.3.10
- Fix rollback mechanism on SLE15 systems (bsc#1089320)
2018-04-05 - wstephenson@suse.com
- Update to 0.3.9
- Enable access to package search via gem
- Don't try to delete directory of nonexistent service files
(bsc#1086420)
2018-03-13 - fschnizlein@suse.com
- Update to 0.3.8
- Fix list-extensions to show the full SLE 15 tree (bsc#1064264)
- Enable automatic activation of recommended extensions/modules
- Automatically deregister all installed extensions/modules when
deregistering a system
2018-01-30 - fschueller@suse.com
- Repackage gem
2018-01-23 - fschueller@suse.com
- Remove unnecessary .gz files
2018-01-18 - fschueller@suse.com
- Update to 0.3.7
- virt-create-rootfs connects to SMT server without breaking (bsc#914297)
2017-12-28 - hschmidt@suse.com
- Update to 0.3.6
- Make target_base_product parameter mandatory.

See Also

Package Description
VirtualGL-2.5.2-lp150.2.3.1.x86_64.rpm A toolkit for displaying OpenGL applications to thin clients
VirtualGL-32bit-2.5.2-lp150.2.3.1.x86_64.rpm A toolkit for displaying OpenGL applications to thin clients
VirtualGL-devel-2.5.2-lp150.2.3.1.x86_64.rpm A toolkit for displaying OpenGL applications to thin clients
apache2-2.4.33-lp150.2.3.1.x86_64.rpm The Apache Web Server Version 2.4
apache2-devel-2.4.33-lp150.2.3.1.x86_64.rpm Apache 2 Header and Include Files
apache2-doc-2.4.33-lp150.2.3.1.noarch.rpm Additional Package Documentation
apache2-event-2.4.33-lp150.2.3.1.x86_64.rpm Apache 2 event MPM (Multi-Processing Module)
apache2-example-pages-2.4.33-lp150.2.3.1.x86_64.rpm Example Pages for the Apache 2 Web Server
apache2-mod_php7-7.2.5-lp150.2.3.1.x86_64.rpm PHP7 module for the Apache 2.x webserver
apache2-mod_php7-7.2.5-lp150.2.6.1.x86_64.rpm PHP7 module for the Apache 2.x webserver
apache2-mod_php7-7.2.5-lp150.2.9.1.x86_64.rpm PHP7 module for the Apache 2.x webserver
apache2-prefork-2.4.33-lp150.2.3.1.x86_64.rpm Apache 2 "prefork" MPM (Multi-Processing Module)
apache2-utils-2.4.33-lp150.2.3.1.x86_64.rpm Apache 2 utilities
apache2-worker-2.4.33-lp150.2.3.1.x86_64.rpm Apache 2 worker MPM (Multi-Processing Module)
aubio-tools-0.4.6-lp150.3.3.1.x86_64.rpm Example programs for aubio library
Advertisement
Advertisement